HubstaffDeveloper Portal

Tasks

Manage tasks within projects for detailed tracking

List integration tasks

GET/v2/integrations/{integration_id}/tasks

Returns a collection of tasks (to-dos) for the given integration.

Results can be filtered by status[] (active/completed/deleted), user_ids[], project_ids[], and global_todo_ids[].

Parameters

NameInTypeDescription
integration_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
status
queryarray string[]
A status or list of statuses to filter
Possible valuesactivecompleteddeletedarchivedarchived_native_activearchived_native_completedarchived_native_deleted
user_ids
queryarray integer[]
List of user IDs
project_ids
queryarray integer[]
List of project IDs
include
queryarray string[]
Specify related data to side load.
Possible valuesusersprojects
remote_ids
queryarray string[]
List of remote_ids to search against remote_id or alternate_remote_id

Responses

200A list of tasks
object
  • tasksarray
    array<object>
    items
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "tasks": [
    {
      "id": 0,
      "integration_id": 0,
      "status": "string",
      "project_id": 0,
      "project_type": "string",
      "summary": "string",
      "details": "string",
      "remote_id": "string",
      "remote_alternate_id": "string",
      "lock_version": 0,
      "assignee_ids": [
        0
      ],
      "pay_rate": 0,
      "bill_rate": 0,
      "metadata": {},
      "completed_at": "2024-01-15T10:30:00Z",
      "due_at": "2024-01-15T10:30:00Z",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "global_todo_id": 0
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

List organization tasks

GET/v2/organizations/{organization_id}/tasks

Returns a collection of tasks (to-dos) for the given organization.

Results can be filtered by status[] (active/completed/deleted), user_ids[], project_ids[], and global_todo_ids[].

Parameters

NameInTypeDescription
organization_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
status
queryarray string[]
A status or list of statuses to filter
Possible valuesactivecompleteddeletedarchivedarchived_native_activearchived_native_completedarchived_native_deleted
user_ids
queryarray integer[]
List of user IDs
project_ids
queryarray integer[]
List of project IDs
global_todo_ids
queryarray integer[]
List of Global To-Do IDs
only_global_todos
queryboolean
Return only global to-dos
include
queryarray string[]
Specify related data to side load.
Possible valuesusersprojects

Responses

200A list of tasks
object
  • tasksarray
    array<object>
    items
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "tasks": [
    {
      "id": 0,
      "integration_id": 0,
      "status": "string",
      "project_id": 0,
      "project_type": "string",
      "summary": "string",
      "details": "string",
      "remote_id": "string",
      "remote_alternate_id": "string",
      "lock_version": 0,
      "assignee_ids": [
        0
      ],
      "pay_rate": 0,
      "bill_rate": 0,
      "metadata": {},
      "completed_at": "2024-01-15T10:30:00Z",
      "due_at": "2024-01-15T10:30:00Z",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "global_todo_id": 0
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

List project tasks

GET/v2/projects/{project_id}/tasks

Returns a collection of tasks (to-dos) for the given project.

Results can be filtered by status[] (active/completed/deleted), user_ids[], project_ids[], and global_todo_ids[].

Parameters

NameInTypeDescription
project_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
status
queryarray string[]
A status or list of statuses to filter
Possible valuesactivecompleteddeletedarchivedarchived_native_activearchived_native_completedarchived_native_deleted
user_ids
queryarray integer[]
List of user IDs
global_todo_ids
queryarray integer[]
List of Global To-Do IDs
only_global_todos
queryboolean
Return only global to-dos
include
queryarray string[]
Specify related data to side load.
Possible valuesusers

Responses

200A list of tasks
object
  • tasksarray
    array<object>
    items
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "tasks": [
    {
      "id": 0,
      "integration_id": 0,
      "status": "string",
      "project_id": 0,
      "project_type": "string",
      "summary": "string",
      "details": "string",
      "remote_id": "string",
      "remote_alternate_id": "string",
      "lock_version": 0,
      "assignee_ids": [
        0
      ],
      "pay_rate": 0,
      "bill_rate": 0,
      "metadata": {},
      "completed_at": "2024-01-15T10:30:00Z",
      "due_at": "2024-01-15T10:30:00Z",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "global_todo_id": 0
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Create task

POST/v2/projects/{project_id}/tasks

Creates a new task for this project.

Returns the created task.

Note: If this project is integrated with a 3rd party tool, you must create the task in that tool instead.

Parameters

NameInTypeDescription
project_idrequired
pathinteger (int32)

Request body

object

Create task

  • assignee_idinteger

    Assignee Id

  • assignee_idsarray

    Assignee Ids

    array<integer>

    Assignee Ids

    items
    integer(int32)
  • summarystring required

    To-do summary

  • pay_ratenumber

    Pay rate. Set to null to remove

  • bill_ratenumber

    Bill rate. Set to null to remove

  • metadataarray

    Task metadata. See the update_metadata endpoint

    array<object>

    Task metadata. See the update_metadata endpoint

    items
    object
    • keystring required

      The metadata key

    • valuestring required

      The value for the metadata key

Responses

200To-do created
object
  • taskobject
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "task": {
    "id": 0,
    "integration_id": 0,
    "status": "string",
    "project_id": 0,
    "project_type": "string",
    "summary": "string",
    "details": "string",
    "remote_id": "string",
    "remote_alternate_id": "string",
    "lock_version": 0,
    "assignee_ids": [
      0
    ],
    "pay_rate": 0,
    "bill_rate": 0,
    "metadata": {},
    "completed_at": "2024-01-15T10:30:00Z",
    "due_at": "2024-01-15T10:30:00Z",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "global_todo_id": 0
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Get task

GET/v2/tasks/{task_id}

Returns the task with the given ID.

Parameters

NameInTypeDescription
task_idrequired
pathinteger (int32)
Task ID

Responses

200A task
object
  • taskobject
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "task": {
    "id": 0,
    "integration_id": 0,
    "status": "string",
    "project_id": 0,
    "project_type": "string",
    "summary": "string",
    "details": "string",
    "remote_id": "string",
    "remote_alternate_id": "string",
    "lock_version": 0,
    "assignee_ids": [
      0
    ],
    "pay_rate": 0,
    "bill_rate": 0,
    "metadata": {},
    "completed_at": "2024-01-15T10:30:00Z",
    "due_at": "2024-01-15T10:30:00Z",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "global_todo_id": 0
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Update task

PUT/v2/tasks/{task_id}

Updates a task.

Returns the updated task.

Only pass in the fields you want to change. Requires passing lock_version from the task fetch.

Note: Only simple todos can be updated. 3rd party tasks must be updated in their system.

Parameters

NameInTypeDescription
task_idrequired
pathinteger (int32)
Task ID

Request body

object

Update task

  • assignee_idinteger

    User Id

  • assignee_idsarray

    User Ids

    array<integer>

    User Ids

    items
    integer(int32)
  • lock_versioninteger required

    Lock version

  • summarystring

    To-do summary

  • statusstring

    The task status.

  • pay_ratenumber

    Pay rate. Set to null to remove

  • bill_ratenumber

    Bill rate. Set to null to remove

  • metadataarray

    Task metadata. See the update_metadata endpoint

    array<object>

    Task metadata. See the update_metadata endpoint

    items
    object
    • keystring required

      The metadata key

    • valuestring required

      The value for the metadata key

Responses

200To-do updated
object
  • taskobject
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "task": {
    "id": 0,
    "integration_id": 0,
    "status": "string",
    "project_id": 0,
    "project_type": "string",
    "summary": "string",
    "details": "string",
    "remote_id": "string",
    "remote_alternate_id": "string",
    "lock_version": 0,
    "assignee_ids": [
      0
    ],
    "pay_rate": 0,
    "bill_rate": 0,
    "metadata": {},
    "completed_at": "2024-01-15T10:30:00Z",
    "due_at": "2024-01-15T10:30:00Z",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "global_todo_id": 0
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Delete task

DELETE/v2/tasks/{task_id}

Deletes a task.

Note: Only simple todos can be deleted. 3rd party tasks must be deleted in their system.

Parameters

NameInTypeDescription
task_idrequired
pathinteger (int32)
Task ID

Responses

204To-do deleted
object
  • taskobject
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "task": {
    "id": 0,
    "integration_id": 0,
    "status": "string",
    "project_id": 0,
    "project_type": "string",
    "summary": "string",
    "details": "string",
    "remote_id": "string",
    "remote_alternate_id": "string",
    "lock_version": 0,
    "assignee_ids": [
      0
    ],
    "pay_rate": 0,
    "bill_rate": 0,
    "metadata": {},
    "completed_at": "2024-01-15T10:30:00Z",
    "due_at": "2024-01-15T10:30:00Z",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "global_todo_id": 0
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Update task metadata

PUT/v2/tasks/{task_id}/update_metadata

Updates metadata on the task.

Returns the updated task.

Only specify the metadata keys you want to change. If the metadata key does not exist, it will be created. To remove a key, specify null as the value. Requires passing lock_version from the task fetch.

Key requirements:

  • 2-30 characters
  • Lowercase letters, numbers, and underscores only

Value requirements:

  • Valid UTF-8 string
  • Maximum 200 characters

Parameters

NameInTypeDescription
task_idrequired
pathinteger (int32)
Task ID

Request body

object

Update task metadata

  • lock_versioninteger required

    Lock version

  • metadataarray required
    array<object>
    items
    object
    • keystring required

      The metadata key

    • valuestring required

      The value for the metadata key

Responses

200A client
object
  • taskobject
    object

    Task model

    • idinteger required

      Task id

    • integration_idinteger

      Integration ID

    • statusstring required

      Task status

    • project_idinteger required

      Project ID

    • project_typestring required

      Project type

    • summarystring required

      Task summary

    • detailsstring

      Task details

    • remote_idstring

      Remote ID of the task in the external system

    • remote_alternate_idstring

      Alternate Remote ID of the task in the external system

    • lock_versioninteger

      lock version

    • assignee_idsarray required

      Assignee user IDs for this task

      array<integer>

      Assignee user IDs for this task

      items
      integer(int64)
    • pay_ratenumber

      Task pay rate

    • bill_ratenumber

      Task bill rate

    • metadataobject required

      Metadata attached to the task

      object

      Metadata attached to the task

    • completed_atstring

      Date and time task was completed

    • due_atstring

      Date and time task is due

    • created_atstring required

      Date and time task was created

    • updated_atstring required

      Date and time task was last updated

    • global_todo_idinteger

      Global To-Do ID

Example response
json
{
  "task": {
    "id": 0,
    "integration_id": 0,
    "status": "string",
    "project_id": 0,
    "project_type": "string",
    "summary": "string",
    "details": "string",
    "remote_id": "string",
    "remote_alternate_id": "string",
    "lock_version": 0,
    "assignee_ids": [
      0
    ],
    "pay_rate": 0,
    "bill_rate": 0,
    "metadata": {},
    "completed_at": "2024-01-15T10:30:00Z",
    "due_at": "2024-01-15T10:30:00Z",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "global_todo_id": 0
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}